Store Files
curl --request POST \
--url https://new.scispot.io/files/store \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form files=gel-image.pngconst form = new FormData();
form.append('files', 'gel-image.png');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://new.scispot.io/files/store', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://new.scispot.io/files/store"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"files\"\r\n\r\ngel-image.png\r\n-----011000010111000001101001--"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)[
{
"fileName": "example.pdf",
"fileId": "<uuid>",
"status": "success",
"message": "File uploaded successfully"
}
]Files API
Store Files
File repository upload endpoint. Requires Authorization: Bearer token. Returns an array of per-file results. Authenticated requests with no files can return HTTP 200 with an empty array.
POST
https://new.scispot.io
/
files
/
store
Store Files
curl --request POST \
--url https://new.scispot.io/files/store \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form files=gel-image.pngconst form = new FormData();
form.append('files', 'gel-image.png');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://new.scispot.io/files/store', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://new.scispot.io/files/store"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"files\"\r\n\r\ngel-image.png\r\n-----011000010111000001101001--"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)[
{
"fileName": "example.pdf",
"fileId": "<uuid>",
"status": "success",
"message": "File uploaded successfully"
}
]Authorizations
Personal access token from Scispot Account → Personal Tokens
Body
multipart/form-data
One or more files to store.
⌘I
